OSL v1.11.14.1


Larry Gritz
 

We have tagged v1.11.14.1 (a.k.a. Release-1.11.14.1) and moved the "release" branch marker to that spot. This is the new supported production release of OSL, guaranteed to be API, ABI, and link backward-compatible with prior 1.11 versions.

As you can see by the release notes below, this is a very minor release, only addressing a build issue. There is no rush to upgrade unless you are building OSL against LLVM 12 using its static libraries.

Meanwhile, development continue apace in the master branch, where the code is equally production-stable, but the APIs and ABIs may break compatibility at any time.

We are planning to release OSL 1.12 later this summer, with hopefully a beta ready by SIGGRAPH. Note that starting with 1.12, the minimum C++ version will be C++14.



Release 1.11.14.1 -- 1 Jun 2021 (compared to 1.11.14)
-----------------------------------------------------
* Fix library setup for LLVM installations consisting of static libraries.
This fixes a build problem that can crop up on MacOS using
Homebrew-installed LLVM 12. #1375

--
Larry Gritz
lg@...